@use '@angular/material' as mat;

@import "@angular/material/theming";

@include mat.core();

$angular-primary: mat.define-palette(mat.$indigo-palette, 500, 100, 900);
$angular-accent: mat.define-palette(mat.$teal-palette, A200, A100, A400);
$angular-warn: mat.define-palette(mat.$red-palette);

$angular-light-theme: mat.define-light-theme(
  (
    color: (
      primary: $angular-primary,
      accent: $angular-accent,
      warn: $angular-warn,
    ),
  )
);

.lightMode {
    @include mat.all-component-colors($angular-light-theme);
  }


$angular-dark-theme: mat.define-dark-theme(
  (
    color: (
      primary: $angular-primary,
      accent: $angular-accent,
      warn: $angular-warn,
    ),
  )
);

.darkMode {
  @include mat.all-component-colors($angular-dark-theme);
}


  
html,
body {
  height: 100%;
}
body {
  margin: 0;
  font-family: Roboto, "Helvetica Neue", sans-serif;
}

h2,
p {
  padding: 16px;
}

.mr-8 {
  margin-right: 8px;
}
html, body { height: 100%; }
body { margin: 0; font-family: Roboto, "Helvetica Neue", sans-serif; }
